Bug 1289830 - [RFE]IdM and FedFS integration
[RFE]IdM and FedFS integration
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: IPA Maintainers
Namita Soman
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2015-12-08 23:56 EST by Kazuo Moriwaka
Modified: 2018-01-16 16:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kazuo Moriwaka 2015-12-08 23:56:21 EST
Description of problem:

Current fedfs-utils will use openldap as NSDB which keep metadata.
If Red Hat will support this feature in future version of RHEL, FedFS 
integrated with IdM will be nice. 

Because FedFS make NFS servers into one coherent filesystem namespace across multiple file servers.  And its user should need coherent uid&gid namespace. 

FedFS and IdM integration will great help for our customer.

Additional info:

Following Internet Draft should be need to be standardize to use regular sub tree for NSDB. 
Comment 5 Petr Vobornik 2016-01-25 17:34:11 EST
Upstream ticket:

Note You need to log in before you can comment on or make changes to this bug.